Subject: bug#26599: patch for mwheel.el

From: Eli Zaretskii <[email-masked]>
Date: Fri, 28 Apr 2017 09:47:43 +0300

> Date: Fri, 28 Apr 2017 08:16:00 +0900 (JST)
> Cc: [email-masked], [email-masked]
> From: Tak Kunihiro <[email-masked]>
> 
> >> Keyboard is the primary scroll device.  Thus I want to turn
> >> auto-hscroll-mode t by default.
> >> 
> >> Occasionally I want to use mouse as scroll device.  When I use mouse,
> >> I want to set turn auto-hscroll-mode nil, especially after
> >> implementation of <wheel-right> and <wheel-left>.
> >> 
> >> When I come back to keyboard, I want to set auto-hscroll-mode t again.
> > 
> > This looks like a very specialized use case, so I'm not sure we need a
> > solution for it in Emacs.
> 
> I see how you see.
> 
> How I described, is similar to how spreadsheet program reacts.  It
> lets user scroll both by <wheel-left> and <left>.
> 
> I very often edit a buffer with long and short line (for example,
> LaTeX table), using mouse and keyboard.  However, as you infer, this
> can be already very special.

What makes this special is that you want Emacs to work differently
depending on the input device.  Emacs normally makes a significant
effort in the other direction: to produce the same behavior no matter
where input came from.

I'm not sure we want to have such unusual behavior as part of Emacs.